package com.yihu.jw.entity.iot.platform;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2020/4/30
 */
@Entity
@Table(name = "iot_company_app_interface")
public class IotCompanyAppInterfaceDO extends UuidIdentityEntityWithOperator implements Serializable {

    @Column(name="company_id")
    private String companyId;//公司ID
    @Column(name="company_name")
    private String companyName;//公司名称
    @Column(name="app_id")
    private String appId;//应用ID
    @Column(name="app_name")
    private String  appName;//应用名称
    @Column(name = "share_interface_id")
    private String shareInterfaceId;//共享接口字典ID
    @Column(name = "validity_start_date")
    private Date validityStartDate;//接口有效期开始时间
    @Column(name = "validity_end_date")
    private Date validityEndDate;//接口有效期结束时间
    @Column(name = "del")
    private String del;//取消申请 1：取消  0：不取消'

    public IotCompanyAppInterfaceDO() {
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getShareInterfaceId() {
        return shareInterfaceId;
    }

    public void setShareInterfaceId(String shareInterfaceId) {
        this.shareInterfaceId = shareInterfaceId;
    }

    public Date getValidityStartDate() {
        return validityStartDate;
    }

    public void setValidityStartDate(Date validityStartDate) {
        this.validityStartDate = validityStartDate;
    }

    public Date getValidityEndDate() {
        return validityEndDate;
    }

    public void setValidityEndDate(Date validityEndDate) {
        this.validityEndDate = validityEndDate;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }
}
